Amazon Linux AMI : golang / docker (ALAS-2015-588)

High Nessus Plugin ID 85633

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 5.9

Synopsis

The remote Amazon Linux AMI host is missing a security update.

Description

As discussed upstream -- here and here -- the Go project received notification of an HTTP request smuggling vulnerability in the net/http library. Invalid headers are parsed as valid headers (like 'Content Length:' with a space in the middle) and Double Content-length headers in a request does not generate a 400 error, the second Content-length is ignored.

Solution

Run 'yum update golang docker' to update your system.

See Also

https://seclists.org/oss-sec/2015/q3/237

https://seclists.org/oss-sec/2015/q3/294

https://alas.aws.amazon.com/ALAS-2015-588.html

Plugin Details

Severity: High

ID: 85633

File Name: ala_ALAS-2015-588.nasl

Version: 2.5

Type: local

Agent: unix

Published: 2015/08/26

Updated: 2018/11/19

Dependencies: 12634

Risk Information

Risk Factor: High

VPR Score: 5.9

CVSS v2.0

Base Score: 7.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

CVSS v3.0

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

Vulnerability Information

CPE: p-cpe:/a:amazon:linux:docker, p-cpe:/a:amazon:linux:docker-devel, p-cpe:/a:amazon:linux:docker-pkg-devel, p-cpe:/a:amazon:linux:golang, p-cpe:/a:amazon:linux:golang-pkg-bin-linux-386, p-cpe:/a:amazon:linux:golang-pkg-bin-linux-amd64, p-cpe:/a:amazon:linux:golang-pkg-darwin-386, p-cpe:/a:amazon:linux:golang-pkg-darwin-amd64, p-cpe:/a:amazon:linux:golang-pkg-freebsd-386, p-cpe:/a:amazon:linux:golang-pkg-freebsd-amd64, p-cpe:/a:amazon:linux:golang-pkg-freebsd-arm, p-cpe:/a:amazon:linux:golang-pkg-linux-386, p-cpe:/a:amazon:linux:golang-pkg-linux-amd64, p-cpe:/a:amazon:linux:golang-pkg-linux-arm, p-cpe:/a:amazon:linux:golang-pkg-netbsd-386, p-cpe:/a:amazon:linux:golang-pkg-netbsd-amd64, p-cpe:/a:amazon:linux:golang-pkg-netbsd-arm, p-cpe:/a:amazon:linux:golang-pkg-openbsd-386, p-cpe:/a:amazon:linux:golang-pkg-openbsd-amd64, p-cpe:/a:amazon:linux:golang-pkg-plan9-386, p-cpe:/a:amazon:linux:golang-pkg-plan9-amd64, p-cpe:/a:amazon:linux:golang-pkg-windows-386, p-cpe:/a:amazon:linux:golang-pkg-windows-amd64, p-cpe:/a:amazon:linux:golang-src, cpe:/o:amazon:linux

Required KB Items: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

Patch Publication Date: 2015/08/24

Reference Information

CVE: CVE-2015-5739, CVE-2015-5740, CVE-2015-5741

ALAS: 2015-588